import { Component, Input } from "@angular/core";

import { cLog, Message } from "jalhyd";

import { I18nService } from "../../services/internationalisation.service";

@Component({
    selector: "log-drawer",
    templateUrl: "./log-drawer.component.html",
    styleUrls: [
        "./log-drawer.component.scss"
    ]
})
/** le log à tiroirs ! */
export class LogDrawerComponent {

    /** A list of log messages accompanied by a sub-log (multiple messages) */
    public log: Array<{ message: Message, subLog: cLog }>;

    // title to display above the log
    @Input()
    public logTitle: string;

    constructor(
        private intlService: I18nService,
    ) {
        this.log = [];
    }

    public get uitextTitreJournal(): string {
        if (this.logTitle) {
            return this.logTitle;
        } else {
            return this.intlService.localizeText("INFO_TITREJOURNAL");
        }
    }

    public get hasEntries(): boolean {
        return this.log !== undefined && this.log.length !== 0;
    }

    public get uitextShowDetails(): string {
        return this.intlService.localizeText("INFO_LOG_SHOW_DETAILS");
    }

    public get uitextHideDetails(): string {
        return this.intlService.localizeText("INFO_LOG_HIDE_DETAILS");
    }
}
